<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <div class="row">
            <div class="col-md-6 col-md-offset-3">
                <h:form id="globalform" styleClass="form-horizontal">
                    <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                        <ui:param name="styleClass" value="panel-info"/>
                        <ui:define name="panel_title">View idScheme</ui:define>
                        <dl class="dl-horizontal">
                            <dt>#{messages['net.ihe.gazelle.IdScheme']}</dt>
                            <dd>
                                <h:outputLink title="view assertions"
                                              rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                              value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme" value="#{idSchemesManager.selectedOasisTarget.idScheme}"/>
                                    #{idSchemesManager.selectedOasisTarget.idScheme}
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsForThisIdScheme}"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>

                            </dd>
                            <dt>#{messages['net.ihe.gazelle.simulators.Description']}</dt>
                            <dd>
                                <h:outputText
                                        value="#{idSchemesManager.selectedOasisTarget.content}"/>
                            </dd>
                            <dt>#{messages['net.ihe.gazelle.assertion-manager.TotalAssertions']}</dt>
                            <dd>
                                <h:outputLink
                                        title="#{idSchemesManager.selectedOasisTarget.idScheme} #{messages['net.ihe.gazelle.assertion-manager.Assertions']}"
                                        rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                        value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme" value="#{idSchemesManager.selectedOasisTarget.idScheme}"/>
                                    <h:outputText
                                            value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsForThisIdScheme}"/>
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsForThisIdScheme}"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>
                            </dd>
                            <dt>#{messages['net.ihe.gazelle.assertion-manager.CoveredAssertions']}</dt>
                            <dd>
                                <h:outputLink
                                        title="#{idSchemesManager.selectedOasisTarget.idScheme} #{messages['net.ihe.gazelle.assertion-manager.CoveredAssertions_2']}"
                                        rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                        value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme"
                                             value="#{idSchemesManager.selectedIdSchemeCoverage.idScheme}"/>
                                    <f:param name="coveredCheckboxes" value="ANY"/>
                                    <h:outputText
                                            value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCovered} (#{idSchemesManager.selectedIdSchemeCoverage.getPercentCovered()}%)"/>
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCovered} (#{idSchemesManager.selectedIdSchemeCoverage.getPercentCovered()}%)"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>
                            </dd>
                            <dt>#{messages['net.ihe.gazelle.assertion-manager.NotCoveredAssertions']}</dt>
                            <dd>
                                <h:outputLink
                                        title="#{idSchemesManager.selectedOasisTarget.idScheme} #{messages['net.ihe.gazelle.assertion-manager.NotCoveredAssertions']}"
                                        rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                        value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme" value="#{idSchemesManager.selectedOasisTarget.idScheme}"/>
                                    <f:param name="notCoveredCheckboxes" value="ANY"/>
                                    <h:outputText
                                            value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsNotCovered} (#{idSchemesManager.selectedIdSchemeCoverage.getPercentNotCovered()}%)"/>
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsNotCovered} (#{idSchemesManager.selectedIdSchemeCoverage.getPercentNotCovered()}%)"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>
                            </dd>
                            <dt>Covered by tests</dt>
                            <dd>
                                <h:outputLink rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                              title="#{idSchemesManager.selectedOasisTarget.idScheme} #{messages['net.ihe.gazelle.assertion-manager.AssertionsCoveredByTest']}"

                                              value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme" value="#{idSchemesManager.selectedOasisTarget.idScheme}"/>
                                    <f:param name="coveredCheckboxes" value="TEST"/>
                                    <h:outputText
                                            value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCoveredThroughTests}"/>
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCoveredThroughTests}"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>
                            </dd>
                            <dt>Covered by TF rules</dt>
                            <dd>
                                <h:outputLink rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                              title="#{idSchemesManager.selectedOasisTarget.idScheme} #{messages['net.ihe.gazelle.assertion-manager.AssertionsCoveredByTfRules']}"
                                              value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme" value="#{idSchemesManager.selectedOasisTarget.idScheme}"/>
                                    <f:param name="coveredCheckboxes" value="RULES"/>
                                    <h:outputText
                                            value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCoveredThroughRules}"/>
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCoveredThroughRules}"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>
                            </dd>
                            <dt>#{messages['net.ihe.gazelle.assertion-manager.CoveredByMbv']}</dt>
                            <dd>
                                <h:outputLink rendered="#{idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"
                                              title="#{idSchemesManager.selectedOasisTarget.idScheme} #{messages['net.ihe.gazelle.assertion-manager.AssertionsCoveredByMbv']}"
                                              value="#{request.contextPath}/assertions/index.seam">
                                    <f:param name="idScheme" value="#{idSchemesManager.selectedOasisTarget.idScheme}"/>
                                    <f:param name="coveredCheckboxes" value="MBV"/>
                                    <h:outputText
                                            value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCoveredThroughMbv}"/>
                                </h:outputLink>
                                <h:outputText
                                        value="#{idSchemesManager.selectedIdSchemeCoverage.nbAssertionsCoveredThroughMbv}"
                                        rendered="#{!idSchemesManager.selectedIdSchemeCoverage.isDisplayActions()}"/>
                            </dd>
                            <dt>#{messages['net.ihe.gazelle.assertion-manager.Progress']}</dt>
                            <dd>
                                <div class="progress" style="margin-bottom: 0;">
                                    <div class="progress-bar progress-bar-success"
                                         style="width: #{idSchemesManager.selectedIdSchemeCoverage.getPercentCovered()}%;">
                                        <span title="covered">
                                            <h:outputText
                                                    value="#{idSchemesManager.selectedIdSchemeCoverage.getPercentCovered()}%"/>
                                        </span>
                                    </div>
                                    <div class="progress-bar progress-bar-danger"
                                         style="width: #{idSchemesManager.selectedIdSchemeCoverage.getPercentNotCovered()}%;">
                                        <span title="not covered">
                                            <h:outputText
                                                    value="#{idSchemesManager.selectedIdSchemeCoverage.getPercentNotCovered()}%"/>
                                        </span>
                                    </div>
                                </div>
                            </dd>
                        </dl>
                        <ui:define name="panel_footer">
                            <h:outputLink title="#{messages['users.Edit']}" value="edit.seam"
                                          styleClass="gzl-btn-blue"
                                          rendered="#{s:hasRole('admin_role')}">
                                <f:param name="idSchemeId"
                                         value="#{idSchemesManager.selectedOasisTarget.id}"/>
                                <h:outputText value="#{messages['users.Edit']}"/>
                            </h:outputLink>
                            <h:commandLink value="#{messages['net.ihe.gazelle.assertion-manager.Back']}"
                                           styleClass="gzl-btn"
                                           onclick="window.history.go(-1); return false;"/>
                        </ui:define>
                    </ui:decorate>
                </h:form>
            </div>
        </div>
    </ui:define>
</ui:composition>